Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network158.112.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
158.112.0.0
Broadcast address
158.127.255.255
First usable
158.112.0.1
Last usable
158.127.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
B (default /16)
As numbers
Hex 9E700000 · Integer 2658140160 to 2659188735
Reverse DNS zones
112.158.in-addr.arpa
113.158.in-addr.arpa
114.158.in-addr.arpa
115.158.in-addr.arpa
116.158.in-addr.arpa
117.158.in-addr.arpa
118.158.in-addr.arpa
119.158.in-addr.arpa
120.158.in-addr.arpa
121.158.in-addr.arpa
122.158.in-addr.arpa
123.158.in-addr.arpa
124.158.in-addr.arpa
125.158.in-addr.arpa
126.158.in-addr.arpa
127.158.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011110.01110000.00000000.00000000158.112.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network10011110.01110000.00000000.00000000158.112.0.0
Broadcast10011110.01111111.11111111.11111111158.127.255.255
Split into smaller subnets/19

158.112.0.0/12 makes 128 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1158.112.0.0/19158.112.0.1 to 158.112.31.254158.112.31.2558,190
2158.112.32.0/19158.112.32.1 to 158.112.63.254158.112.63.2558,190
3158.112.64.0/19158.112.64.1 to 158.112.95.254158.112.95.2558,190
4158.112.96.0/19158.112.96.1 to 158.112.127.254158.112.127.2558,190
5158.112.128.0/19158.112.128.1 to 158.112.159.254158.112.159.2558,190
6158.112.160.0/19158.112.160.1 to 158.112.191.254158.112.191.2558,190
7158.112.192.0/19158.112.192.1 to 158.112.223.254158.112.223.2558,190
8158.112.224.0/19158.112.224.1 to 158.112.255.254158.112.255.2558,190
9158.113.0.0/19158.113.0.1 to 158.113.31.254158.113.31.2558,190
10158.113.32.0/19158.113.32.1 to 158.113.63.254158.113.63.2558,190
11158.113.64.0/19158.113.64.1 to 158.113.95.254158.113.95.2558,190
12158.113.96.0/19158.113.96.1 to 158.113.127.254158.113.127.2558,190
13158.113.128.0/19158.113.128.1 to 158.113.159.254158.113.159.2558,190
14158.113.160.0/19158.113.160.1 to 158.113.191.254158.113.191.2558,190
15158.113.192.0/19158.113.192.1 to 158.113.223.254158.113.223.2558,190
16158.113.224.0/19158.113.224.1 to 158.113.255.254158.113.255.2558,190
17158.114.0.0/19158.114.0.1 to 158.114.31.254158.114.31.2558,190
18158.114.32.0/19158.114.32.1 to 158.114.63.254158.114.63.2558,190
19158.114.64.0/19158.114.64.1 to 158.114.95.254158.114.95.2558,190
20158.114.96.0/19158.114.96.1 to 158.114.127.254158.114.127.2558,190
21158.114.128.0/19158.114.128.1 to 158.114.159.254158.114.159.2558,190
22158.114.160.0/19158.114.160.1 to 158.114.191.254158.114.191.2558,190
23158.114.192.0/19158.114.192.1 to 158.114.223.254158.114.223.2558,190
24158.114.224.0/19158.114.224.1 to 158.114.255.254158.114.255.2558,190
25158.115.0.0/19158.115.0.1 to 158.115.31.254158.115.31.2558,190
26158.115.32.0/19158.115.32.1 to 158.115.63.254158.115.63.2558,190
27158.115.64.0/19158.115.64.1 to 158.115.95.254158.115.95.2558,190
28158.115.96.0/19158.115.96.1 to 158.115.127.254158.115.127.2558,190
29158.115.128.0/19158.115.128.1 to 158.115.159.254158.115.159.2558,190
30158.115.160.0/19158.115.160.1 to 158.115.191.254158.115.191.2558,190
31158.115.192.0/19158.115.192.1 to 158.115.223.254158.115.223.2558,190
32158.115.224.0/19158.115.224.1 to 158.115.255.254158.115.255.2558,190
33158.116.0.0/19158.116.0.1 to 158.116.31.254158.116.31.2558,190
34158.116.32.0/19158.116.32.1 to 158.116.63.254158.116.63.2558,190
35158.116.64.0/19158.116.64.1 to 158.116.95.254158.116.95.2558,190
36158.116.96.0/19158.116.96.1 to 158.116.127.254158.116.127.2558,190
37158.116.128.0/19158.116.128.1 to 158.116.159.254158.116.159.2558,190
38158.116.160.0/19158.116.160.1 to 158.116.191.254158.116.191.2558,190
39158.116.192.0/19158.116.192.1 to 158.116.223.254158.116.223.2558,190
40158.116.224.0/19158.116.224.1 to 158.116.255.254158.116.255.2558,190
41158.117.0.0/19158.117.0.1 to 158.117.31.254158.117.31.2558,190
42158.117.32.0/19158.117.32.1 to 158.117.63.254158.117.63.2558,190
43158.117.64.0/19158.117.64.1 to 158.117.95.254158.117.95.2558,190
44158.117.96.0/19158.117.96.1 to 158.117.127.254158.117.127.2558,190
45158.117.128.0/19158.117.128.1 to 158.117.159.254158.117.159.2558,190
46158.117.160.0/19158.117.160.1 to 158.117.191.254158.117.191.2558,190
47158.117.192.0/19158.117.192.1 to 158.117.223.254158.117.223.2558,190
48158.117.224.0/19158.117.224.1 to 158.117.255.254158.117.255.2558,190
49158.118.0.0/19158.118.0.1 to 158.118.31.254158.118.31.2558,190
50158.118.32.0/19158.118.32.1 to 158.118.63.254158.118.63.2558,190
51158.118.64.0/19158.118.64.1 to 158.118.95.254158.118.95.2558,190
52158.118.96.0/19158.118.96.1 to 158.118.127.254158.118.127.2558,190
53158.118.128.0/19158.118.128.1 to 158.118.159.254158.118.159.2558,190
54158.118.160.0/19158.118.160.1 to 158.118.191.254158.118.191.2558,190
55158.118.192.0/19158.118.192.1 to 158.118.223.254158.118.223.2558,190
56158.118.224.0/19158.118.224.1 to 158.118.255.254158.118.255.2558,190
57158.119.0.0/19158.119.0.1 to 158.119.31.254158.119.31.2558,190
58158.119.32.0/19158.119.32.1 to 158.119.63.254158.119.63.2558,190
59158.119.64.0/19158.119.64.1 to 158.119.95.254158.119.95.2558,190
60158.119.96.0/19158.119.96.1 to 158.119.127.254158.119.127.2558,190
61158.119.128.0/19158.119.128.1 to 158.119.159.254158.119.159.2558,190
62158.119.160.0/19158.119.160.1 to 158.119.191.254158.119.191.2558,190
63158.119.192.0/19158.119.192.1 to 158.119.223.254158.119.223.2558,190
64158.119.224.0/19158.119.224.1 to 158.119.255.254158.119.255.2558,190
65158.120.0.0/19158.120.0.1 to 158.120.31.254158.120.31.2558,190
66158.120.32.0/19158.120.32.1 to 158.120.63.254158.120.63.2558,190
67158.120.64.0/19158.120.64.1 to 158.120.95.254158.120.95.2558,190
68158.120.96.0/19158.120.96.1 to 158.120.127.254158.120.127.2558,190
69158.120.128.0/19158.120.128.1 to 158.120.159.254158.120.159.2558,190
70158.120.160.0/19158.120.160.1 to 158.120.191.254158.120.191.2558,190
71158.120.192.0/19158.120.192.1 to 158.120.223.254158.120.223.2558,190
72158.120.224.0/19158.120.224.1 to 158.120.255.254158.120.255.2558,190
73158.121.0.0/19158.121.0.1 to 158.121.31.254158.121.31.2558,190
74158.121.32.0/19158.121.32.1 to 158.121.63.254158.121.63.2558,190
75158.121.64.0/19158.121.64.1 to 158.121.95.254158.121.95.2558,190
76158.121.96.0/19158.121.96.1 to 158.121.127.254158.121.127.2558,190
77158.121.128.0/19158.121.128.1 to 158.121.159.254158.121.159.2558,190
78158.121.160.0/19158.121.160.1 to 158.121.191.254158.121.191.2558,190
79158.121.192.0/19158.121.192.1 to 158.121.223.254158.121.223.2558,190
80158.121.224.0/19158.121.224.1 to 158.121.255.254158.121.255.2558,190
81158.122.0.0/19158.122.0.1 to 158.122.31.254158.122.31.2558,190
82158.122.32.0/19158.122.32.1 to 158.122.63.254158.122.63.2558,190
83158.122.64.0/19158.122.64.1 to 158.122.95.254158.122.95.2558,190
84158.122.96.0/19158.122.96.1 to 158.122.127.254158.122.127.2558,190
85158.122.128.0/19158.122.128.1 to 158.122.159.254158.122.159.2558,190
86158.122.160.0/19158.122.160.1 to 158.122.191.254158.122.191.2558,190
87158.122.192.0/19158.122.192.1 to 158.122.223.254158.122.223.2558,190
88158.122.224.0/19158.122.224.1 to 158.122.255.254158.122.255.2558,190
89158.123.0.0/19158.123.0.1 to 158.123.31.254158.123.31.2558,190
90158.123.32.0/19158.123.32.1 to 158.123.63.254158.123.63.2558,190
91158.123.64.0/19158.123.64.1 to 158.123.95.254158.123.95.2558,190
92158.123.96.0/19158.123.96.1 to 158.123.127.254158.123.127.2558,190
93158.123.128.0/19158.123.128.1 to 158.123.159.254158.123.159.2558,190
94158.123.160.0/19158.123.160.1 to 158.123.191.254158.123.191.2558,190
95158.123.192.0/19158.123.192.1 to 158.123.223.254158.123.223.2558,190
96158.123.224.0/19158.123.224.1 to 158.123.255.254158.123.255.2558,190
97158.124.0.0/19158.124.0.1 to 158.124.31.254158.124.31.2558,190
98158.124.32.0/19158.124.32.1 to 158.124.63.254158.124.63.2558,190
99158.124.64.0/19158.124.64.1 to 158.124.95.254158.124.95.2558,190
100158.124.96.0/19158.124.96.1 to 158.124.127.254158.124.127.2558,190
101158.124.128.0/19158.124.128.1 to 158.124.159.254158.124.159.2558,190
102158.124.160.0/19158.124.160.1 to 158.124.191.254158.124.191.2558,190
103158.124.192.0/19158.124.192.1 to 158.124.223.254158.124.223.2558,190
104158.124.224.0/19158.124.224.1 to 158.124.255.254158.124.255.2558,190
105158.125.0.0/19158.125.0.1 to 158.125.31.254158.125.31.2558,190
106158.125.32.0/19158.125.32.1 to 158.125.63.254158.125.63.2558,190
107158.125.64.0/19158.125.64.1 to 158.125.95.254158.125.95.2558,190
108158.125.96.0/19158.125.96.1 to 158.125.127.254158.125.127.2558,190
109158.125.128.0/19158.125.128.1 to 158.125.159.254158.125.159.2558,190
110158.125.160.0/19158.125.160.1 to 158.125.191.254158.125.191.2558,190
111158.125.192.0/19158.125.192.1 to 158.125.223.254158.125.223.2558,190
112158.125.224.0/19158.125.224.1 to 158.125.255.254158.125.255.2558,190
113158.126.0.0/19158.126.0.1 to 158.126.31.254158.126.31.2558,190
114158.126.32.0/19158.126.32.1 to 158.126.63.254158.126.63.2558,190
115158.126.64.0/19158.126.64.1 to 158.126.95.254158.126.95.2558,190
116158.126.96.0/19158.126.96.1 to 158.126.127.254158.126.127.2558,190
117158.126.128.0/19158.126.128.1 to 158.126.159.254158.126.159.2558,190
118158.126.160.0/19158.126.160.1 to 158.126.191.254158.126.191.2558,190
119158.126.192.0/19158.126.192.1 to 158.126.223.254158.126.223.2558,190
120158.126.224.0/19158.126.224.1 to 158.126.255.254158.126.255.2558,190
121158.127.0.0/19158.127.0.1 to 158.127.31.254158.127.31.2558,190
122158.127.32.0/19158.127.32.1 to 158.127.63.254158.127.63.2558,190
123158.127.64.0/19158.127.64.1 to 158.127.95.254158.127.95.2558,190
124158.127.96.0/19158.127.96.1 to 158.127.127.254158.127.127.2558,190
125158.127.128.0/19158.127.128.1 to 158.127.159.254158.127.159.2558,190
126158.127.160.0/19158.127.160.1 to 158.127.191.254158.127.191.2558,190
127158.127.192.0/19158.127.192.1 to 158.127.223.254158.127.223.2558,190
128158.127.224.0/19158.127.224.1 to 158.127.255.254158.127.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses